curl --request POST \
--url https://api.example.com/v1beta1/permissions \
--header 'Content-Type: application/json' \
--data '
{
"bodies": [
{
"name": "<string>",
"namespace": "<string>",
"key": "<string>",
"title": "<string>",
"metadata": {}
}
]
}
'{
"permissions": [
{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"namespace": "<string>",
"key": "<string>",
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>"
}
]
}curl --request POST \
--url https://api.example.com/v1beta1/permissions \
--header 'Content-Type: application/json' \
--data '
{
"bodies": [
{
"name": "<string>",
"namespace": "<string>",
"key": "<string>",
"title": "<string>",
"metadata": {}
}
]
}
'{
"permissions": [
{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"namespace": "<string>",
"key": "<string>",
"metadata": {},
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Show properties
get, create, deleteservice/resource format.Example: compute/instanceNote: Cannot use app as it’s reserved for core permissionsservice.resource.verbExample: compute.instance.getUse this instead of separate name and namespace fieldsdescription field.Show properties
service.resource.verbcurl -X POST 'https://frontier.example.com/v1beta1/permissions' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"bodies": [
{
"key": "compute.instance.get",
"title": "Get Instance",
"metadata": {
"description": "Allows getting instance details"
}
}
]
}'
{
"bodies": [
{
"name": "get",
"namespace": "compute/instance",
"title": "Get Instance",
"metadata": {
"description": "Allows getting instance details"
}
},
{
"key": "compute.instance.create",
"title": "Create Instance",
"metadata": {
"description": "Allows creating new instances"
}
}
]
}
{
"permissions": [
{
"id": "9f256f86-20ad-434e-b009-6d6dadec6aa9",
"name": "get",
"title": "Get Instance",
"namespace": "compute/instance",
"key": "compute.instance.get",
"metadata": {
"description": "Allows getting instance details"
},
"created_at": "2023-06-07T05:39:56.961Z",
"updated_at": "2023-06-07T05:39:56.961Z"
}
]
}